Page MenuHomePhabricator

Document code area responsibilities (Phab projects, Git repos) of each WMF engineering/dev team
Closed, ResolvedPublic

Description

For the sake of transparency and decreased confusion. Might be an epic task hard to fix...

Some teams (e.g. Multimedia) list there Phabricator projects, some teams have shared Gerrit queries / dashboards for their areas.

Such lists / links should probably end up on each team's wiki page (mostly on mediawiki.org) in a section which has the same heading name on each page (cf. T115853 for contact info)?

There is also https://www.mediawiki.org/wiki/Developers/Maintainers listing code areas and their maintainers.

Also see the Gerrit queries in T88531: Goal: Organize a Gerrit Cleanup Day on September 23, 2015.

Reading team has a dedicated task for this: T101757: Document extensions to be worked by Reading

Another general problem is to keep such information updated.

The list (in-progress)

Related Objects

StatusSubtypeAssignedTask
ResolvedQgil
ResolvedDicortazar
DuplicateQgil
ResolvedQgil
ResolvedQgil
InvalidNone
InvalidNone
ResolvedQgil
ResolvedAklapper
DeclinedNone
DeclinedNone
OpenNone
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedDicortazar
ResolvedDicortazar
ResolvedAcs
ResolvedDicortazar
ResolvedDicortazar
ResolvedDicortazar
ResolvedDicortazar
ResolvedDicortazar
ResolvedDicortazar
InvalidDicortazar
ResolvedDicortazar
ResolvedDicortazar
ResolvedAklapper
ResolvedDicortazar
ResolvedDicortazar
DuplicateNone
ResolvedDicortazar
ResolvedBawolff
Resolvedmmodell
ResolvedNone
Resolvedmmodell
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedNone
Resolvedgreg
ResolvedLegoktm
Resolvedtstarling
OpenNone
Resolvedgreg

Event Timeline

Aklapper raised the priority of this task from to Low.
Aklapper updated the task description. (Show Details)
Aklapper added a project: Developer-Advocacy.
Aklapper added a subscriber: Aklapper.

Such lists / links should probably end up on each team's wiki page (mostly on mediawiki.org)

Please not, https://www.mediawiki.org/wiki/Developers/Maintainers exists for this purpose. Further redundancy will make things worse.

Aklapper updated the task description. (Show Details)Oct 23 2015, 10:19 PM
Aklapper set Security to None.

Thank you Nemo! Sorry, I should have listed that page initially as I'm aware of it.
I've added it to the task description now.

I created this task as I'm wondering in the long run about a better way to allow viewing and keeping up-to-date information about code areas and their maintainers (both "who maintains this code area" and "which code areas does this maintainer/team maintain" and having these two views makes it more complicated) not scattered in several places. Hence same problem I see...

Qgil added a subscriber: Qgil.
greg added a subscriber: greg.Jul 22 2016, 10:28 PM
greg updated the task description. (Show Details)Aug 8 2016, 9:02 PM

I just updated the description with what I know right now.

Smalyshev updated the task description. (Show Details)Aug 12 2016, 7:17 PM
greg added a subscriber: Legoktm.Aug 12 2016, 7:36 PM

I plan to consolidate all of these on the [[mw:Developers/Maintainers]] page at some point in the not terribly distant future (like, in a week or so). I plan to add a "Relevant WMF Team" (or such) column there to fill in to not step over the other maintainers in the list. And, try to make it sortable as well.

@Legoktm what are your thoughts on that (where "that" == adding another column as proposed in T1287#1759463)?

I plan to consolidate all of these on the [[mw:Developers/Maintainers]] page at some point in the not terribly distant future (like, in a week or so). I plan to add a "Relevant WMF Team" (or such) column there to fill in to not step over the other maintainers in the list. And, try to make it sortable as well.

@Legoktm what are your thoughts on that (where "that" == adding another column as proposed in T1287#1759463)?

I would recommend attaching "as of" dates. Teams and responsibilities shift around as time passes, of course. In my experience, it can be helpful with a chart like this to know whether a maintainer is as of August 2016 or as of January 2013 to gauge how accurate the info is.

greg added a comment.Aug 13 2016, 6:15 AM

I would recommend attaching "as of" dates. Teams and responsibilities shift around as time passes, of course. In my experience, it can be helpful with a chart like this to know whether a maintainer is as of August 2016 or as of January 2013 to gauge how accurate the info is.

+1, good call.

I plan to consolidate all of these on the [[mw:Developers/Maintainers]] page at some point in the not terribly distant future (like, in a week or so). I plan to add a "Relevant WMF Team" (or such) column there to fill in to not step over the other maintainers in the list. And, try to make it sortable as well.

@Legoktm what are your thoughts on that (where "that" == adding another column as proposed in T1287#1759463)?

I would prefer just including them as the actual maintainers, if in fact they are maintaining the extension rather than making WMF teams appear special. I think having a "as of" is a good idea too.

greg added a comment.Aug 18 2016, 10:55 PM

I would prefer just including them as the actual maintainers, if in fact they are maintaining the extension rather than making WMF teams appear special.

Fair 'nough! I'll obviously not remove any names but add the relevant WMF team (also, boy does that make it way easier to add this info instead of modifying the /Row and /ComponentRow templates....)

And, try to make it sortable as well.

This part is done, easily enough: https://www.mediawiki.org/w/index.php?title=Developers%2FMaintainers%2FHeader&type=revision&diff=2218396&oldid=2215233

greg added a comment.EditedAug 18 2016, 11:30 PM

Discovery: done
Reading: kinda done (still need to fix up the stuff up in the MW Core section)

It kind of works but fails due to the two rows per thing for the description column. If we could merge those it'd be better :/

For the record, other places where this information has historically been (tried to be) tracked:

Data from these should be merged and then these documents should be marked as deprecated in favor of mw:Developers/Maintainers.

Archived at https://commons.wikimedia.org/wiki/File:2016_extension_blame_map_-_Extensions_and_skins.pdf , please blank the gdoc and replace with a link.

Please archive on Commons before it vanishes like all staff gdocs.

greg added a comment.Sep 21 2016, 11:25 PM

Today: https://www.mediawiki.org/w/index.php?title=Developers%2FMaintainers&type=revision&diff=2242907&oldid=2222693
Did:

  • Collaboration
  • VE
  • Multimedia
  • Language
  • Parsing
  • RelEng

That's all I got from the wiki pages.

Next step: reconcile with https://docs.google.com/spreadsheets/d/1e25O69JxLPYBrwunDDLFGM80eFQuTzghY0EsvvgQR0s/edit#gid=0 (Extension blame map). The other gdoc I linked above is so old I don't plan to look at it too closely.

greg added a comment.Mar 23 2017, 9:44 PM

Please archive on Commons before it vanishes like all staff gdocs.

Done: https://commons.wikimedia.org/wiki/File:MediaWiki_Component_Ownership.pdf

Also,
Lots of progress has been made on mw:Dev/Maint since last comment here: https://www.mediawiki.org/w/index.php?title=Developers%2FMaintainers&type=revision&diff=2428822&oldid=2254169

@Aklapper: you opened this task. Is the use and current state of mw:Dev/Maint (since I resolved T141066 today) sufficient for this?

Qgil awarded a token.Mar 24 2017, 9:54 AM
Aklapper closed this task as Resolved.Mar 24 2017, 10:24 AM
Aklapper assigned this task to greg.

@greg: Should the file desc state "Please go to [[mw:Developers/Maintainers]] for updated info" and that it is a historical document?
I wonder if people who might end up from some internet search engine will realize what "Wikimedia Foundation deprecated list" means...

@Aklapper: you opened this task. Is the use and current state of mw:Dev/Maint (since I resolved T141066 today) sufficient for this?

That looks pretty neat, thanks a lot!! Let's close this, things have definitely improved a bit since 2015!

Restricted Application added a project: User-greg. · View Herald TranscriptMar 24 2017, 10:24 AM